Bug 1755961 - Please provide EPEL8 package
Summary: Please provide EPEL8 package
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libqxt-qt5
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: MartinKG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1756078
Blocks: 1755761
TreeView+ depends on / blocked
 
Reported: 2019-09-26 14:07 UTC by Robert-André Mauchin 🐧
Modified: 2019-12-20 07:58 UTC (History)
1 user (show)

Fixed In Version: libqxt-qt5-0.7.0-0.19.20130718giteaf6872f6ad4.fc30 libqxt-qt5-0.7.0-0.19.20130718giteaf6872f6ad4.fc29 libqxt-qt5-0.7.0-0.19.20130718giteaf6872f6ad4.el8 libqxt-qt5-0.7.0-0.19.20130718giteaf6872f6ad4.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-09 16:53:20 UTC
Type: Bug


Attachments (Terms of Use)

Description Robert-André Mauchin 🐧 2019-09-26 14:07:52 UTC
I've been asked to package clementine for EPEL8, as such I need this dependency in EPEL8. Thanks.

Comment 2 MartinKG 2019-09-26 15:08:23 UTC
can't build the package because of the dependencies of libdb4-devel

No matching package to install: 'libdb4-devel'

Comment 3 Robert-André Mauchin 🐧 2019-09-30 20:17:17 UTC
(In reply to MartinKG from comment #2)
> can't build the package because of the dependencies of libdb4-devel
> 
> No matching package to install: 'libdb4-devel'

libdb4 maintainer recommends dropping the unmaintained libdb4 in favor of libdb:


libdb4 is outdated, unsupported by upstream and its maintenance is not trivial. It also bundles crypto algorithms (AES) and it is possible security risk.

In my opinion libdb4 should be replaced by an alternative (libdb) and removed from fedora too.

libdb4-devel is needed as a dependency for libqxt-qt5 but there is a possibility to replace it by libdb-devel. I tried to (scratch)build libqxt-qt5 with libdb-devel as a dependency and the build passed [1]. I haven't tested it for functionality. Try to ask libqxt-qt5 maintainer if it would be possible to switch to libdb.

Considering this I'm not going to package libdb4 for epel8. At least for now. 

---

[1] https://koji.fedoraproject.org/koji/taskinfo?taskID=37965790


Could you see if this is possible for you?

Comment 4 Fedora Update System 2019-10-01 10:56:55 UTC
FEDORA-2019-8ff3d920a4 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8ff3d920a4

Comment 5 Fedora Update System 2019-10-01 10:56:55 UTC
FEDORA-2019-83bf15d42f has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-83bf15d42f

Comment 6 Fedora Update System 2019-10-01 10:56:58 UTC
FEDORA-EPEL-2019-1f67c65b75 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-1f67c65b75

Comment 7 Fedora Update System 2019-10-01 10:57:00 UTC
FEDORA-2019-22454e301b has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-22454e301b

Comment 8 Fedora Update System 2019-10-02 03:18:59 UTC
libqxt-qt5-0.7.0-0.19.20130718giteaf6872f6ad4.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-1f67c65b75

Comment 9 Fedora Update System 2019-10-02 03:19:38 UTC
libqxt-qt5-0.7.0-0.19.20130718giteaf6872f6ad4.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8ff3d920a4

Comment 10 Fedora Update System 2019-10-02 15:41:51 UTC
libqxt-qt5-0.7.0-0.19.20130718giteaf6872f6ad4.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-83bf15d42f

Comment 11 Fedora Update System 2019-10-02 15:53:11 UTC
libqxt-qt5-0.7.0-0.19.20130718giteaf6872f6ad4.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-22454e301b

Comment 12 Fedora Update System 2019-10-09 16:53:20 UTC
libqxt-qt5-0.7.0-0.19.20130718giteaf6872f6ad4.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2019-10-09 17:23:37 UTC
libqxt-qt5-0.7.0-0.19.20130718giteaf6872f6ad4.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2019-10-16 16:44:20 UTC
libqxt-qt5-0.7.0-0.19.20130718giteaf6872f6ad4.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2019-10-26 17:20:56 UTC
libqxt-qt5-0.7.0-0.19.20130718giteaf6872f6ad4.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 MartinKG 2019-12-20 07:58:43 UTC
fixed with 0.7.0-0.19.20130718giteaf6872f6ad4

* Tue Oct 01 2019 Martin Gansser <martinkg@fedoraproject.org> - 0.7.0-0.19.20130718giteaf6872f6ad4
- Use BR libdb-devel due EPEL8 dependencies


Note You need to log in before you can comment on or make changes to this bug.